Bug 262274 - dolphin cannot search anything in those folders that indexed by strigi
Summary: dolphin cannot search anything in those folders that indexed by strigi
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2011-01-06 06:05 UTC by julee
Modified: 2011-01-23 10:00 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description julee 2011-01-06 06:05:00 UTC
Version:           unspecified (using KDE 4.5.90) 
OS:                Linux

I set up nepomuk and strigi ,it index all files in default directory(default:$HOME).
When it has indexed completely,i try to search file from one folder such as documents in my $HOME,then i try to search one file existed file in folder documents/pic ,such as it's name is testfile.txt.
I enter Ctrl+F,then click button "From Here",then input  "testfile.txt" ,enter "Enter",It couldn't find anything.I alse try such keyword "test" "test* "*test*",it doesn't work either.
Then if i click button "from anywhere",it works.Howerver,it search from anywhere!It seems  in indexed folders by strigi,traditional search doesn't work,but nepomuk and strigi just work for " frome anywhere",Not a special folder.
Lastly,I shutdown nepomuk and strigi,remove all index database(almost 1G),reboot,try it again.It works now,just work well without strigi database.
By the way,i have to say,just search with option "any where" with nepomuk and strigi,some file also lost,though,it index all files finished.

Reproducible: Always

Steps to Reproduce:
set up nepomuk and strigi,make it index completely.
then in some directory in indexed directory($HOME),such as documents.
Enter "Ctrl+F",click "From here",then search some file in this document.

Actual Results:  
You got nothing.
No file found!

Expected Results:  
Find the exisited file for my searching action
Comment 1 julee 2011-01-06 06:17:06 UTC
Search alse failed in indexed directory(strigi).
Comment 2 Peter Penz 2011-01-18 19:28:38 UTC
SVN commit 1215427 by ppenz:

Fix issue that the "From Here" search restriction does not work on subfolders when Nepomuk/Strigi has been activated.

BUG: 262274
FIXED-IN: 4.6.0


 M  +4 -2      dolphinsearchbox.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1215427
Comment 3 Peter Penz 2011-01-18 19:29:06 UTC
SVN commit 1215428 by ppenz:

Fix issue that the "From Here" search restriction does not work on subfolders when Nepomuk/Strigi has been activated.

CCBUG: 262274



 M  +4 -2      dolphinsearchbox.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1215428
Comment 4 julee 2011-01-19 14:36:28 UTC
Could it port to kde before kde 4.6?
Make sure in kde 4.6,this will work well.
Comment 5 Peter Penz 2011-01-19 16:31:49 UTC
Yes, the patch will be part of KDE SC 4.6.0
Comment 6 julee 2011-01-23 10:00:25 UTC
That's great!
Thanks very much.
This is the first time I submited bugs for kde,though I have used it for almost 3 years.I had never think it could be resolved so quickly!
I think I'll have more bugs to submit quickly.